## granite-7 7.0.0

=== meson_options.txt ===
option('documentation', type: 'boolean', value: false, description: 'generate documentation with gtk-doc and valadoc')
option('introspection', type: 'boolean', value: true, description: 'Whether to build introspection files')

=== debian/changelog ===
granite-7 (7.0.0-2) unstable; urgency=medium

  * Source-only upload.

 -- Boyuan Yang <byang@debian.org>  Sat, 04 Jun 2022 18:03:13 -0400

granite-7 (7.0.0-1) unstable; urgency=medium

  * New upstream release.
    + Port to GTK4.
  * Rename package following upstream co-installable renaming:
    + src:granite -> src:granite-7
    + libgranite6 -> libgranite-7-7
    + libgranite-common -> libgranite-7-common
    + gir1.2-granite-1.0 -> gir1.2-granite-7.0
    + libgranite-dev -> libgranite-7-dev
    + granite-demo -> granite-7-demo
  * Bump SONAME to 7.
  * debian/libgranite-common.install: Install appdata file into
    arch-indep package instead of libgranite-7-7.
  * debian/libgranite-7-7.symbols: Refresh symbols.
  * debian/patches/0001-Fix-desktop-exec-command.patch: Fix execution
    of granite demo package.
  * debian/watch: Rewrite with up-to-date v4 format.
  * debian/copyright: Refresh copyright information.

 -- Boyuan Yang <byang@debian.org>  Fri, 06 May 2022 12:23:37 -0400

granite (6.2.0-1) unstable; urgency=medium

  * New upstream release 6.2.0.
  * debian/control: Bump Standards-Version to 4.6.0.
  * debian/libgranite6.symbols: Add new symbols.

 -- Boyuan Yang <byang@debian.org>  Wed, 24 Nov 2021 16:04:13 -0500

granite (6.1.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libgtk-3-dev and valac.
    + libgranite-dev: Drop versioned constraint on libgtk-3-dev in Depends.

  [ Boyuan Yang ]
  * New upstream release 6.1.2.
  * debian/libgranite6.symbols: Add new symbol.

 -- Boyuan Yang <byang@debian.org>  Sat, 30 Oct 2021 21:08:20 -0400

granite (6.1.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/libgranite6.symbols: Refreshed.

  [ Debian Janitor ]
  * Remove unused license definitions for LGPL-2+.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on gobject-introspection.

 -- Boyuan Yang <byang@debian.org>  Sun, 29 Aug 2021 17:07:49 -0400

granite (6.1.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Mon, 23 Aug 2021 15:15:43 -0400

granite (6.1.0-1~exp1) experimental; urgency=medium

  * New upstream release 6.1.0.
  * debian/upstream/metadata: Add metadata.
  * debian/libgranite6.symbols: Refresh symbols.

 -- Boyuan Yang <byang@debian.org>  Fri, 23 Jul 2021 16:57:38 -0400

granite (6.0.0-1~exp2) experimental; urgency=high

  * Let libgranite6 Breaks+Replaces: libgranite5. (Closes: #978509)

 -- Boyuan Yang <byang@debian.org>  Mon, 26 Apr 2021 13:30:10 -0400

granite (6.0.0-1~exp1) experimental; urgency=medium

  * New upstream release 6.0.0.
  * Bump SONAME: 5 -> 6.
  * debian/libgranite6.symbols: Reset symbols.

 -- Boyuan Yang <byang@debian.org>  Sun, 11 Apr 2021 12:03:16 -0400

granite (5.5.0-1) unstable; urgency=medium

  * New upstream release 5.5.0.

 -- Boyuan Yang <byang@debian.org>  Fri, 03 Jul 2020 17:21:31 -0400

granite (5.4.0-1) unstable; urgency=medium

  * New upstream release 5.4.0.
  * debian/control:
    + Bump debhelper compat to v13.
  * debian/symbols: Add new symbols.

 -- Boyuan Yang <byang@debian.org>  Tue, 05 May 2020 09:39:53 -0400

granite (5.3.1-1) unstable; urgency=medium

  * New upstream release 5.3.1.
  * debian/control: Bump Standards-Version to 4.5.0.

 -- Boyuan Yang <byang@debian.org>  Fri, 10 Apr 2020 00:10:46 -0400

granite (5.3.0-1) unstable; urgency=medium

  * New upstream release 5.3.0.
  * debian/control: Bump Standards-Version to 4.4.1.
  * debian/symbols: Add new symbols.

 -- Boyuan Yang <byang@debian.org>  Sun, 15 Dec 2019 00:29:39 -0500

granite (5.2.5-1) unstable; urgency=medium

  * New upstream release 5.2.5.
  * debian/symbols: Add new symbols.

 -- Boyuan Yang <byang@debian.org>  Tue, 10 Sep 2019 11:28:59 -0400

granite (5.2.4-1) unstable; urgency=medium

  * New upstream release 5.2.4.
    + Various fixes. (Closes: #913756)
  * debian/control: Bump Standards-Version to 4.4.0.
  * debian/copyright: Refresh information.
  * debian/symbols: Add new symbols.

 -- Boyuan Yang <byang@debian.org>  Thu, 29 Aug 2019 16:18:30 -0400

granite (5.2.3-1) unstable; urgency=medium

  * New upstream release 5.2.3.
  * debian/control:
    + Follow upstream and build using meson buildsystem.
    + Bump debhelper compat to v12.
  * debian/copyright: Remove copyright information for cmake files.
  * debian/patches: Drop all patches.
  * debian/symbols: Refresh symbols.

 -- Boyuan Yang <byang@debian.org>  Thu, 28 Feb 2019 16:36:21 -0500

granite (5.2.2-1) unstable; urgency=high

  * New upstream release 5.2.2.
  * debian/patches: Add a patch to revert upstream usage of an
    elementry-specific gsettings schema. (Closes: #916173)
  * debian/control:
    + Bump Standards-Version to 4.3.0.
    + Build-depend on debhelper-compat (= 11) instead of using
      debian/compat.
  * debian/symbols: Add a Build-Depends-Package field.

 -- Boyuan Yang <byang@debian.org>  Mon, 24 Dec 2018 07:32:10 +0800

granite (5.2.1-1) unstable; urgency=medium

  * New upstream release 5.2.1.
  * debian/patches: Refresh patches.
  * debian/symbols: Add new symbols.

 -- Boyuan Yang <byang@debian.org>  Thu, 08 Nov 2018 20:31:22 -0500

granite (5.1.0-2) unstable; urgency=medium

  * Add patch to set the shared-library attribute in generated typelib.
    (Closes: #911911)

 -- Yangfl <mmyangfl@gmail.com>  Sat, 27 Oct 2018 15:45:01 +0800

granite (5.1.0-1) unstable; urgency=medium

  * New upstream release 5.1.0-1.
  * Bump Standards-Version to 4.2.1 (no changes needed).
  * Update my uploader email address.
  * Update library symbols accordingly.

 -- Boyuan Yang <byang@debian.org>  Sat, 01 Sep 2018 09:38:50 -0400

granite (5.0+ds-2) unstable; urgency=medium

  * Release to unstable.
  * Revert maintainer address to pkg-deepin-devel mailing list.
  * Bump Standards-Version to 4.1.5.

 -- Boyuan Yang <073plan@gmail.com>  Sat, 07 Jul 2018 11:04:13 +0800



=== debian/control ===
Source: granite-7
Section: libs
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Yangfl <mmyangfl@gmail.com>,
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 gettext,
 gobject-introspection,
 libbrotli-dev,
 libgee-0.8-dev,
 libgirepository1.0-dev,
 libgtk-4-dev,
 meson,
 valac,
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://github.com/elementary/granite
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/granite.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/granite

Package: gir1.2-granite-7.0
Section: introspection
Architecture: any
Multi-Arch: foreign
Depends:
 ${gir:Depends},
 ${misc:Depends},
Description: extension of GTK4 libraries (introspection files)
 Granite-7 is an extension of GTK4. Among other things, it provides
 complex widgets and convenience functions designed for use in apps
 built for elementary OS.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

Package: granite-7-demo
Section: misc
Architecture: any
Depends:
 libgranite-7-7 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: extension of GTK4 libraries (demo binary)
 Granite-7 is an extension of GTK4. Among other things, it provides
 complex widgets and convenience functions designed for use in apps
 built for elementary OS.
 .
 This package contains a small demo application to show Granite Widgets.

Package: libgranite-7-7
Architecture: any
Multi-Arch: same
Depends:
 libgranite-7-common (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 contractor,
Description: extension of GTK4 libraries
 Granite-7 is an extension of GTK4. Among other things, it provides
 complex widgets and convenience functions designed for use in apps
 built for elementary OS.
 .
 This package contains the shared library.

Package: libgranite-7-common
Section: misc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: extension of GTK4 libraries (common files)
 Granite-7 is an extension of GTK4. Among other things, it provides
 complex widgets and convenience functions designed for use in apps
 built for elementary OS.
 .
 This package contains common files needed by library.

Package: libgranite-7-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 gir1.2-granite-7.0 (= ${binary:Version}),
 libgee-0.8-dev,
 libglib2.0-dev,
 libgranite-7-7 (= ${binary:Version}),
 libgtk-4-dev,
 ${misc:Depends},
Description: extension of GTK4 libraries (development files)
 Granite-7 is an extension of GTK4. Among other things, it provides
 complex widgets and convenience functions designed for use in apps
 built for elementary OS.
 .
 This package contains the static library and header files.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
 https://github.com/elementary/granite/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## granite-7 7.1.0

=== debian/changelog ===
granite-7 (7.1.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * debian/libgranite-7-7.symbols: Add new symbols.

 -- Boyuan Yang <byang@debian.org>  Sat, 22 Oct 2022 10:49:50 -0400

granite-7 (7.0.0-3) unstable; urgency=medium

  * QA upload.
  * Orphan package.
  * debian/watch: Correct version matching.
  * debian/control: Update Vcs-* fields.

 -- Boyuan Yang <byang@debian.org>  Thu, 25 Aug 2022 16:19:59 -0400

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,7 @@
 Source: granite-7
 Section: libs
 Priority: optional
-Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
-Uploaders:
- Yangfl <mmyangfl@gmail.com>,
- Boyuan Yang <byang@debian.org>,
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  gettext,
@@ -18,8 +15,8 @@
 Rules-Requires-Root: no
 Standards-Version: 4.6.1
 Homepage: https://github.com/elementary/granite
-Vcs-Git: https://salsa.debian.org/pkg-deepin-team/granite.git
-Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/granite
+Vcs-Git: https://salsa.debian.org/debian/granite.git
+Vcs-Browser: https://salsa.debian.org/debian/granite
 
 Package: gir1.2-granite-7.0
 Section: introspection

## granite-7 7.2.0

=== debian/changelog ===
granite-7 (7.2.0-1~exp1) experimental; urgency=medium

  * QA upload.
  * New upstream release.
  * debian/patches: Refresh patches.
  * debian/install: Install icon into granite-7-demo package.
  * debian/symbols: Add new symbol.

 -- Boyuan Yang <byang@debian.org>  Fri, 10 Mar 2023 18:34:35 -0500

## granite-7 7.3.0

=== debian/changelog ===
granite-7 (7.3.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * debian/patches: Dropped, merged upstream.
  * debian/control: Add sassc as build dependency.
  * debian/libgranite-7-7.symbols: Add new symbols.

 -- Boyuan Yang <byang@debian.org>  Tue, 13 Jun 2023 12:36:11 -0400

granite-7 (7.2.0-1) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Mon, 12 Jun 2023 17:07:32 -0400

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,10 @@
  libgirepository1.0-dev,
  libgtk-4-dev,
  meson,
+ sassc,
  valac,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/elementary/granite
 Vcs-Git: https://salsa.debian.org/debian/granite.git
 Vcs-Browser: https://salsa.debian.org/debian/granite

## granite-7 7.4.0

=== debian/changelog ===
granite-7 (7.4.0-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:15:07 +0000

granite-7 (7.4.0-1build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:47:21 +0000

granite-7 (7.4.0-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:50:05 +0000

granite-7 (7.4.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * debian/control: Add missing ${gir:Depends} and ${gir:Provides}.
  * debian/control: Build-depends on dh-sequence-gir, not
    gobject-introspection.

 -- Boyuan Yang <byang@debian.org>  Wed, 22 Nov 2023 16:28:15 -0500

granite-7 (7.3.0-2) unstable; urgency=medium

  * QA upload.
  * Rebuild against vala 0.56.13+ to fix FTBFS. (Closes: #1050672)

 -- Boyuan Yang <byang@debian.org>  Wed, 30 Aug 2023 09:20:59 -0400

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,17 @@
 Source: granite-7
 Section: libs
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  debhelper-compat (= 13),
+ dh-sequence-gir <!nogir>,
  gettext,
- gobject-introspection,
  libbrotli-dev,
  libgee-0.8-dev,
  libgirepository1.0-dev,
+ gir1.2-gtk-4.0-dev <!nogir>,
+ gir1.2-gdk-4.0-dev <!nogir>,
  libgtk-4-dev,
  meson,
  sassc,
@@ -81,12 +84,15 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
+Provides:
+ ${gir:Provides},
 Depends:
  gir1.2-granite-7.0 (= ${binary:Version}),
  libgee-0.8-dev,
  libglib2.0-dev,
  libgranite-7-7 (= ${binary:Version}),
  libgtk-4-dev,
+ ${gir:Depends},
  ${misc:Depends},
 Description: extension of GTK4 libraries (development files)
  Granite-7 is an extension of GTK4. Among other things, it provides

## granite-7 7.5.0

=== debian/changelog ===
granite-7 (7.5.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * debian/rules: Explicitly enable demo build.
  * debian/libgranite-7-common.install: Also install GTK4 theme files.
  * debian/libgranite-7-7.symbols: Add new symbols.

 -- Boyuan Yang <byang@debian.org>  Thu, 09 May 2024 21:20:24 -0400

## granite-7 7.6.0

=== debian/changelog ===
granite-7 (7.6.0-3) unstable; urgency=medium

  * QA upload.
  * debian/control: Drop obsolete recommended package contractor.
    (Closes: #1115441)

 -- Boyuan Yang <byang@debian.org>  Wed, 17 Sep 2025 11:41:58 -0400

granite-7 (7.6.0-2) unstable; urgency=medium

  * QA upload.
  * debian/control: Migrate away from libgirepository1.0-dev.

 -- Boyuan Yang <byang@debian.org>  Thu, 14 Aug 2025 19:35:05 -0400

granite-7 (7.6.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * debian/libgranite-7-7.symbols: Add new symbols.

 -- Boyuan Yang <byang@debian.org>  Sat, 23 Nov 2024 19:37:43 -0500

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,24 @@
 Source: granite-7
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-gir <!nogir>,
  gettext,
+ gir1.2-gdk-4.0-dev <!nogir>,
+ gir1.2-gee-0.8-dev <!nogir>,
+ gir1.2-gio-2.0-dev <!nogir>,
+ gir1.2-gobject-2.0-dev <!nogir>,
+ gir1.2-gtk-4.0-dev <!nogir>,
  libbrotli-dev,
  libgee-0.8-dev,
- libgirepository1.0-dev,
- gir1.2-gtk-4.0-dev <!nogir>,
- gir1.2-gdk-4.0-dev <!nogir>,
  libgtk-4-dev,
  meson,
  sassc,
  valac,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/elementary/granite
 Vcs-Git: https://salsa.debian.org/debian/granite.git
 Vcs-Browser: https://salsa.debian.org/debian/granite
@@ -58,8 +59,6 @@
  libgranite-7-common (= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
-Recommends:
- contractor,
 Description: extension of GTK4 libraries
  Granite-7 is an extension of GTK4. Among other things, it provides
  complex widgets and convenience functions designed for use in apps

## granite-7 7.7.0

=== meson_options.txt ===
option('documentation', type: 'boolean', value: false, description: 'generate documentation with gtk-doc and valadoc')
option('introspection', type: 'boolean', value: true, description: 'Whether to build introspection files')
option('demo', type: 'boolean', value: true, description: 'Whether to build granite-demo')
option('gtk-stylesheets', type: 'boolean', value: false, description: 'Whether to include stylesheets for Gtk widgets when initializing stylesheets')

=== debian/changelog ===
granite-7 (7.7.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 7.7.0.
  * debian/control: Add compat to elementaryOS-provided libgranite7
    (Breaks+Replaces+Provides).
  * debian/control: Move package description to source package section.
  * debian/control: Document version requirement of libgtk-4-dev.
  * debian/control: Add extra build-deps.
  * debian/libgranite-7-7.symbols: Add new symbols.

 -- Boyuan Yang <byang@debian.org>  Sat, 11 Oct 2025 17:43:07 -0400

=== debian/control ===
Source: granite-7
Section: libs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-gir <!nogir>,
 gettext,
 gir1.2-gdk-4.0-dev <!nogir>,
 gir1.2-gee-0.8-dev <!nogir>,
 gir1.2-gio-2.0-dev <!nogir>,
 gir1.2-gobject-2.0-dev <!nogir>,
 gir1.2-gtk-4.0-dev <!nogir>,
 libbrotli-dev,
 libgee-0.8-dev,
 libgtk-4-dev (>= 4.12),
 libshumate-dev,
 meson,
 sassc,
 valac,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/elementary/granite
Vcs-Git: https://salsa.debian.org/debian/granite.git
Vcs-Browser: https://salsa.debian.org/debian/granite
Description: extension of GTK4 libraries
 Granite-7 is an extension of GTK4. Among other things, it provides
 complex widgets and convenience functions designed for use in apps
 built for elementary OS.

Package: gir1.2-granite-7.0
Section: introspection
Architecture: any
Multi-Arch: foreign
Depends:
 ${gir:Depends},
 ${misc:Depends},
Description: ${source:Synopsis} (introspection files)
 ${source:Extended-Description}
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

Package: granite-7-demo
Section: misc
Architecture: any
Depends:
 libgranite-7-7 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: ${source:Synopsis} (demo binary)
 ${source:Extended-Description}
 .
 This package contains a small demo application to show Granite Widgets.

Package: libgranite-7-7
Architecture: any
Multi-Arch: same
Depends:
 libgranite-7-common (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libgranite7,
Replaces:
 libgranite7,
Provides:
 libgranite7,
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package contains the shared library.

Package: libgranite-7-common
Section: misc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: ${source:Synopsis} (common files)
 ${source:Extended-Description}
 .
 This package contains common files needed by library.

Package: libgranite-7-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Provides:
 ${gir:Provides},
Depends:
 gir1.2-granite-7.0 (= ${binary:Version}),
 libgee-0.8-dev,
 libglib2.0-dev,
 libgranite-7-7 (= ${binary:Version}),
 libgtk-4-dev (>= 4.12),
 ${gir:Depends},
 ${misc:Depends},
Description: ${source:Synopsis} (development files)
 ${source:Extended-Description}
 .
 This package contains the static library and header files.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1


export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND =


%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Ddemo=true

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
 https://github.com/elementary/granite/tags \
 (?:.*?/)?v?([\.\d]+)@ARCHIVE_EXT@

## granite-7 7.8.0

=== debian/changelog ===
granite-7 (7.8.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 19 Feb 2026 19:51:53 -0500

granite-7 (7.7.0-3) unstable; urgency=medium

  * QA upload.
  * debian/control: Bump Standards-Version to 4.7.3.
  * debian/patches/0001-Fix-FTCBFS-due-to-g-ir-compiler.patch:
    Add patch to fix FTCBFS. (Closes: #1126385)

 -- Boyuan Yang <byang@debian.org>  Sun, 25 Jan 2026 12:33:45 -0500

granite-7 (7.7.0-2) unstable; urgency=medium

  * QA upload
  * Properly support nogir build profile

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 11 Dec 2025 10:37:13 -0500

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: granite-7
 Section: libs
-Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -11,6 +10,7 @@
  gir1.2-gio-2.0-dev <!nogir>,
  gir1.2-gobject-2.0-dev <!nogir>,
  gir1.2-gtk-4.0-dev <!nogir>,
+ gir1.2-pango-1.0-dev <!nogir>,
  libbrotli-dev,
  libgee-0.8-dev,
  libgtk-4-dev (>= 4.12),
@@ -18,8 +18,7 @@
  meson,
  sassc,
  valac,
-Rules-Requires-Root: no
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/elementary/granite
 Vcs-Git: https://salsa.debian.org/debian/granite.git
 Vcs-Browser: https://salsa.debian.org/debian/granite
@@ -32,6 +31,7 @@
 Section: introspection
 Architecture: any
 Multi-Arch: foreign
+Build-Profiles: <!nogir>
 Depends:
  ${gir:Depends},
  ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -12,5 +12,6 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- -Ddemo=true
-
+	dh_auto_configure -- \
+		-Ddemo=true \
+		-Dintrospection=$(if $(filter nogir,$(DEB_BUILD_PROFILES)),false,true)
